<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__value__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_value_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__value__t_1aed2fa9d050d783c6b4a51511f7266456" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_value_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>Attribute handle. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="175" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="175" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__value__t_1a6900c47d5e4fd2bc3b61721cb03680d6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_value_t::offset</definition>
        <argsstring />
        <name>offset</name>
        <briefdescription>
<para>Attribute value offset, ignored if not needed for a command. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="176" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="176" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__value__t_1a12022487a52f9663a6ce849aeca9392e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_value_t::len</definition>
        <argsstring />
        <name>len</name>
        <briefdescription>
<para>Length of attribute value. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="177" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="177" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__value__t_1ab5f78d2d395758d31d1cbc57f6cfc5f0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga44fcc1fe578d11d29279b92a7fcc936d">wiced_bt_gatt_auth_req_t</ref></type>
        <definition>wiced_bt_gatt_auth_req_t wiced_bt_gatt_value_t::auth_req</definition>
        <argsstring />
        <name>auth_req</name>
        <briefdescription>
<para>Authentication requirement (see <ref kindref="member" refid="group__wicedbt__gatt_1gabda9597f28d2e1ddbdd82b7785a4659f">wiced_bt_gatt_auth_req_t </ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="178" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="178" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__value__t_1a6f8572717f878fa657c7dd0234660ec5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_gatt_value_t::value[1]</definition>
        <argsstring>[1]</argsstring>
        <name>value</name>
        <briefdescription>
<para>The attribute value (actual length is specified by 'len') </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="179" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="179" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Attribute value, used for GATT write operations, and read response callbacks. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="180" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="173" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="174" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__value__t_1ab5f78d2d395758d31d1cbc57f6cfc5f0" virt="non-virtual"><scope>wiced_bt_gatt_value_t</scope><name>auth_req</name></member>
      <member prot="public" refid="structwiced__bt__gatt__value__t_1aed2fa9d050d783c6b4a51511f7266456" virt="non-virtual"><scope>wiced_bt_gatt_value_t</scope><name>handle</name></member>
      <member prot="public" refid="structwiced__bt__gatt__value__t_1a12022487a52f9663a6ce849aeca9392e" virt="non-virtual"><scope>wiced_bt_gatt_value_t</scope><name>len</name></member>
      <member prot="public" refid="structwiced__bt__gatt__value__t_1a6900c47d5e4fd2bc3b61721cb03680d6" virt="non-virtual"><scope>wiced_bt_gatt_value_t</scope><name>offset</name></member>
      <member prot="public" refid="structwiced__bt__gatt__value__t_1a6f8572717f878fa657c7dd0234660ec5" virt="non-virtual"><scope>wiced_bt_gatt_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>